## dwww 1.11.3

=== Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 516 2009-01-15 19:51:36Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := data man perl scripts src
include ./common.mk

docfiles    := README TODO

install-local:
	$(call msg,$@)
	$(call install,$(docdir),$(docfiles))
	$(call install,$(libdir)/html)
	$(call install,$(webdocrootdir))
	$(call install,$(cachedir))

=== data/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 522 2009-01-19 20:30:47Z robert $"
#
ALL_TARGET  := all-local
SUBDIRS     := img mozilla templates
include ../common.mk

generated			 :=	$(bdir)/dwww.css
templatefiles  := $(sort $(wildcard mozilla-dwww.*) swish++.conf $(generated))

all-local: $(generated) | $(bdir)
	$(call msg,$@)

install-local:
	$(call msg,$@)
	$(call install,$(pkgsharedir),$(templatefiles)) 
	$(call install,$(etcdir),apache.conf) 
	$(call install,$(applicationsdir),dwww.desktop)

=== perl/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 511 2009-01-10 23:59:42Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := Debian
include ../common.mk

=== scripts/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 521 2009-01-16 23:34:26Z robert $"
#
ALL_TARGET  := all-local
SUBDIRS     :=
include ../common.mk



generated     = $(bdir)/functions.sh

binfiles      := dwww
sbinfiles     := dwww-build   \
                 dwww-build-menu  \
                 dwww-convert   \
                 dwww-find    \
                 dwww-format-man  \
                 dwww-index++   \
                 dwww-refresh-cache
libfiles  := $(bdir)/functions.sh


all-local: $(generated)


install-local:
	$(call msg,$@)
	$(call install,$(sbindir),$(sbinfiles),script) 
	$(call install,$(bindir),$(binfiles),script)
	$(call install,$(webcgidir)/dwww,dwww.cgi,notdir script)
	$(call install,$(pkgsharedir),$(libfiles))

=== src/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 516 2009-01-15 19:51:36Z robert $"
#
ALL_TARGET  := all-local
SUBDIRS     :=
include ../common.mk



generated	= $(bdir)/dwww-cache \
		  $(bdir)/dwww-quickfind \
		  $(bdir)/dwww-txt2html 

perlprogs       = dwww-find dwww-build-menu dwww-index++
testprogs       := $(patsubst %,%.test,$(perlprogs))

all-local: $(generated)



$(bdir)/%: $(bdir)/%.o $(bdir)/utils.o | $(bdir)
	$(call msg,$@,Linking)
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

$(bdir)/%.o: %.c utils.h | $(bdir)
	$(call msg,$@,Compiling)
	$(CC) -c $(CFLAGS) -o $@ $<
 

install-local:
	$(call msg,$@)
	$(call install,$(sbindir),$(generated),script) 

.SECONDARY: $(patsubst %.c,$(bdir)/%.o,$(wildcard %.c))

=== data/img/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 521 2009-01-16 23:34:26Z robert $"
#
ALL_TARGET  :=
SUBDIRS     :=
include ../../common.mk

templatefiles  := $(distributor).png



install-local:
	$(call msg,$@)
	$(call install,$(pkgsharedir),$(templatefiles))

=== data/mozilla/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 530 2009-02-15 12:05:47Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := 
include ../../common.mk

files  := dwww.src dwww.png
ifeq (Ubuntu,$(DISTRIBUTOR))
  browsers	:= firefox seamonkey
else
  browsers	= iceweasel iceape
endif

install-local:
	$(call msg,$@)
	$(call install,$(pkgsharedir)/mozilla,$(files))
	$(foreach browser,$(browsers),$(foreach file,$(files),$(call install_links,../../$(PACKAGE)/mozilla/$(file),$(sharedir)/$(browser)/searchplugins/$(file))))

=== perl/Debian/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 511 2009-01-10 23:59:42Z robert $"
#

ALL_TARGET    :=
SUBDIRS       := Dwww
include ../../common.mk

=== perl/Debian/Dwww/Makefile ===
# vim ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 512 2009-01-11 10:27:45Z robert $"
#
ALL_TARGET    := all-local
SUBDIRS       :=
include ../../../common.mk

generated     :=  $(bdir)/Version.pm
SOURCE_FILES  :=  $(sort $(wildcard *.pm) $(generated)) 
INSTALL_DIR   :=  $(subst $(realpath $(TOPDIR)/perl),,$(realpath $(CURDIR)))

all-local: $(generated)

install-local:
	$(call msg,$@)
	$(call install,$(perllibdir)/$(INSTALL_DIR),$(SOURCE_FILES))

=== debian/changelog ===
dwww (1.11.3) unstable; urgency=low

  * Really ignore dpkg-query errors (closes: #561653).
  * Remove asterisks from Debian.NEWS (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 06 Jan 2010 23:19:48 +0100

dwww (1.11.2) unstable; urgency=low

  * DwwInitialize.pm: convert DWWW_DOCPATH to array even if dwww.conf file 
    does not exist or is not readable (closes: #560422).
  * dwww-refresh-cache: ignore dpkg-query errors (closes: #561653).
  * Upgrade Suggests into Recommends on  swish++  (closes: #530282).
  * dwww-cache.c: small refactoring, hopefully fix FTBFS on Ubuntu.
  * Bump Standards-Version to 3.8.3.
  * rules: remove dh_desktop call (lintian).
  * Install lintian overrides for bogus `unused debconf template' infos.

 -- Robert Luberda <robert@debian.org>  Wed, 23 Dec 2009 17:39:04 +0100

=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 7), publib-dev
Standards-Version: 3.8.3

Package: dwww
Architecture: any
Depends: apache2 | httpd-cgi, man-db (>> 2.5.2), file, ${perl:Depends}, ${shlibs:Depends}, ${misc:Depends}, doc-base (>= 0.8.12), debianutils (>= 2.5), libmime-types-perl (>= 1.15), mime-support, libfile-ncopy-perl
Recommends: info2www, dlocate (>= 0.5-0.1), apt, swish++
Suggests: links | www-browser, doc-debian, dpkg-www
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# This file is public domain software, originally written by Joey Hess.
# $Id: rules 539 2009-12-23 17:00:03Z robert $

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
prefix=$(CURDIR)/debian/$(shell dh_listpackages)

build: _build/build-stamp
_build/build-stamp:
	dh_testdir
	mkdir -p _build

	# Add here commands to compile the package.
	$(MAKE)

	touch "$@"

clean:
	dh_testdir
	dh_testroot
	rm -rf _build

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/dwww.
	$(MAKE) DESTDIR=$(prefix) install

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
#	dh_installexamples
#	dh_install
	dh_installmenu
	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installman
	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_lintian
	dh_strip
	dh_link
	dh_compress
	dh_fixperms
	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## dwww 1.11.6

=== debian/changelog ===
dwww (1.11.6) unstable; urgency=low

  * Add Italian translation of the debconf templates (closes: #620530).
  * Add Danish translation of the debconf templates (closes: #626301).
  * Improve configuration file management:
    + include all supported variables and provide theirs descriptions
      (closes: #622892);
    + add a ConfigFile.pm utility module;
    + update maintainer scripts and use ucf to manage changes in the file.
  * Remove references to non-FHS dirs like /usr/doc from programs and
    documentation. Use /usr/local/share/{doc,man,info} hierarchy instead of
    /usr/local/{doc,man,info}.
  * debian/control: 
    + sort dependency fields with wrap-and-sort from the devscripts package;
    + add build dependency on lsb-release;
    + bump Standards-Version to 3.9.2 (no changes);
    + add VCS-* fields;
    + add dependency on ucf.

 -- Robert Luberda <robert@debian.org>  Mon, 27 Jun 2011 20:10:10 +0200

dwww (1.11.5) unstable; urgency=low

  * Upload to unstable.
  * dwww-refresh-cache: while generating list of packages, do not exclude
    packages in triggers-pending/triggers-awaited state.
  * dwww-find:
    + call dpkg-query directly instead of dpkg when dlocate is not available;
    + quote special regexp characters for `dlocate/dpkg-query -S' arguments;
    + split arguments passed to the program on whitespaces.
  * debian/rules: 
    + use minimised debhelper rules files;
    + set CFLAGS and LDFLAGS from dpkg-buildflags;
    + add build-{arch,indep} targets.
  * Makefile: don't create /var/lib/dwww/html directory.
  * dwww.preinst, dwww.lintian, dwww.install: removed, no longer needed.
  * dwww.config: Fix path to dwww.swish++.index file.

 -- Robert Luberda <robert@debian.org>  Tue, 08 Feb 2011 23:30:59 +0100

dwww (1.11.4) experimental; urgency=low

  * dwww.cgi, dwww-find, dwww-build-menu: when a single doc-base file registers
    multiple files in a format that doesn't provide any index file, show a list 
    of all such files (closes: #191534).
  * functions.sh: fix functions used to re-creating cache directory.

  * Set source format to `3.0 (native)'.
  * Bump debhelper compat mode to 8.
  * Standards-Version: 3.9.1 (no changes).

 -- Robert Luberda <robert@debian.org>  Wed, 19 Jan 2011 20:39:37 +0100

=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 8), lsb-release, publib-dev
Standards-Version: 3.9.2
Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
Vcs-Browser: http://anonscm.debian.org/git/users/robert/dwww.git

Package: dwww
Architecture: any
Depends: apache2 | httpd-cgi,
         debianutils (>= 2.5),
         doc-base (>= 0.8.12),
         file,
         libfile-ncopy-perl,
         libmime-types-perl (>= 1.15),
         man-db (>> 2.5.2),
         mime-support,
         ucf (>= 3.12),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: apt, dlocate (>= 0.5-0.1), info2www, swish++
Suggests: doc-debian, dpkg-www, links | www-browser
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server. When possible, dwww converts the documentation to HTML.
 You need to install both a CGI-capable HTTP server and a WWW
 browser to read the documentation.

=== debian/rules ===
#!/usr/bin/make -f
# $Id: rules 557 2011-03-04 21:25:33Z robert $

export CFLAGS  := $(shell dpkg-buildflags --get CFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

binary binary-arch build build-arch clean:
	dh $@

binary-indep build-indep: # Nothing to do

.PHONY: clean                                   \
	build-indep   build-arch   build        \
	binary-indep  binary-arch  binary

DEFAULT_GOAL := binary

## dwww 1.11.7

=== debian/changelog ===
dwww (1.11.7) unstable; urgency=low

  * debian/templates: set dwww/index_docs default to false (closes: #645240).
  * debian/config: check if @ret is initialized before referencing
    it (closes: #646988).
  * Switch to debhelper v9 for dpkg-buildflags support.
  * Fix errors found by cppcheck:
    + dwww-cache.c: memory leak;
    + dwww-txt2html.c: undefined behavior: variable is used as parameter
      and destination in s[n]printf().
  * makefile_common: define msg variable also when MAKE_VERBOSE is set.
  * debian/control: correct Vcs-Browser field.

 -- Robert Luberda <robert@debian.org>  Sun, 20 Nov 2011 23:49:42 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 8), lsb-release, publib-dev
+Build-Depends: debhelper (>= 8.9.8~), lsb-release, publib-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
-Vcs-Browser: http://anonscm.debian.org/git/users/robert/dwww.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dwww.git
 
 Package: dwww
 Architecture: any

## dwww 1.11.8

=== Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 555 2011-02-08 22:31:39Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := data man perl scripts src
include ./common.mk

docfiles    := README TODO

install-local:
	$(call msg,$@)
	$(call install,$(docdir),$(docfiles))
	$(call install,$(libdir))
	$(call install,$(webdocrootdir))
	$(call install,$(cachedir))

=== debian/changelog ===
dwww (1.11.8) unstable; urgency=low

  * dwww-find: Make regexp used to get packages' description from apt-cache
    output aware of the new `Description-xx' fields.
  * Bump build-dependency on debhelper for v9 (lintian).

 -- Robert Luberda <robert@debian.org>  Sat, 11 Feb 2012 23:57:16 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 8.9.8~), lsb-release, publib-dev
+Build-Depends: debhelper (>= 9), lsb-release, publib-dev
 Standards-Version: 3.9.2
 Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dwww.git

## dwww 1.12.0

=== debian/changelog ===
dwww (1.12.0) unstable; urgency=low

  * Apache 2.4 transition (closes: #669745):
    + move configuration file for apache into /etc/apache2/conf-available
      dir with dpkg-mainscript-helper, and add preinst script as work-around
      for the tool's bug #711598;
    + update the file with new `Require' directives;
    + enable `Require local' only by default to restrict access to dwww
      to localhost only (closes: #328906);
    + use dh-apache2 for handling apache2 in maintainer scripts;
    + require (via Breaks and Build-Conflicts) version 2.2.4-6~ or later
      of apache2 packages (see #711479, #711483).
  * Fix FTBFS with clang.
  * dwww.cron.weekly: pass `-t' option to ionice to ignore eventual failures
    to set the priority (closes: #690398).
  * Update Makefiles to properly handle CFLAGS from environment and make build
    process more verbose.
  * Standards-Version: 3.9.4 (no changes).
  * Build with large file support (lintian).
  * Add Keywords field to desktop file (lintian).

 -- Robert Luberda <robert@debian.org>  Wed, 12 Jun 2013 07:52:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 9), lsb-release, publib-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), dh-apache2, lsb-release, publib-dev
+Build-Conflicts: apache2-dev (<< 2.4.4-6~)
+Standards-Version: 3.9.4
 Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dwww.git
 
@@ -21,7 +22,8 @@
          ${misc:Depends},
          ${perl:Depends},
          ${shlibs:Depends}
-Recommends: apt, dlocate (>= 0.5-0.1), info2www, swish++
+Breaks: apache2 (<< 2.4.4-6~)
+Recommends: apt, dlocate (>= 0.5-0.1), info2www, swish++, ${misc:Recommends}
 Suggests: doc-debian, dpkg-www, links | www-browser
 Description: Read all on-line documentation with a WWW browser
  All installed on-line documentation will be served via a local HTTP

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh "$@" --with apache2

## dwww 1.12.1

=== man/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 531 2009-02-15 12:54:08Z robert $"
#
ALL_TARGET  :=
SUBDIRS     := 
include ../common.mk

man1mans	:= $(sort $(wildcard *.1))
man7mans	:= $(sort $(wildcard *.7))
man8mans	:= $(sort $(wildcard *.8))

install-local:
	$(call msg,$@)
	$(call install,$(mandir)/man1,$(man1mans),compress)
	$(call install,$(mandir)/man7,$(man7mans),compress)
	$(call install,$(mandir)/man8,$(man8mans),compress)
	$(call install_links,../man7/dwww.7.gz,$(mandir)/man5/dwww.conf.5.gz)

=== perl/Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  :=
SUBDIRS     := Debian
include ../common.mk

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # vim:ts=2
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile 516 2009-01-15 19:51:36Z robert $"
 #
 ALL_TARGET  := all-local
 SUBDIRS     :=
@@ -20,16 +19,13 @@
 
 
 $(bdir)/%: $(bdir)/%.o $(bdir)/utils.o | $(bdir)
-	$(call msg,$@,Linking)
 	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
 
 $(bdir)/%.o: %.c utils.h | $(bdir)
-	$(call msg,$@,Compiling)
-	$(CC) -c $(CFLAGS) -o $@ $<
+	$(CC) -c $(CPPFLAGS) $(CFLAGS) -o $@ $<
  
 
 install-local:
-	$(call msg,$@)
 	$(call install,$(sbindir),$(generated),script) 
 
 .SECONDARY: $(patsubst %.c,$(bdir)/%.o,$(wildcard %.c))

=== data/img/Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  :=
SUBDIRS     :=
include ../../common.mk

templatefiles  := $(distributor).png

install-local:
	$(call install,$(pkgsharedir),$(templatefiles))

=== data/mozilla/Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  :=
SUBDIRS     := 
include ../../common.mk

files  := dwww.src dwww.png
ifeq (Ubuntu,$(DISTRIBUTOR))
  browsers	:= firefox seamonkey
else
  browsers	= iceweasel iceape
endif

install-local: install-local-files install-local-links

install-local-files:
	$(call install,$(pkgsharedir)/mozilla,$(files))

install-local-links: override ATT := $(AT)
install-local-links: override AT  :=
install-local-links:
	$(ATT) $(foreach browser,$(browsers),$(foreach file,$(files),$(call install_links,../../$(PACKAGE)/mozilla/$(file),$(sharedir)/$(browser)/searchplugins/$(file))))

.PHONY: install-local-files  install-local-links

=== debian/changelog ===
dwww (1.12.1) unstable; urgency=medium

  * apache.conf: add an `Alias /dwww /var/www/dwww' line to accommodate
    to the default document root change in apache 2.4.7 (closes: #734090).
  * apache.conf: enclose `Require' lines with `<IfModule mod_authz_host.c>'
    section (closes: #734957).
  * dwww-refresh-cache: change regexp used to find installed packages to
    include packages selected to install as well.
  * Add support for cross-building.
  * Standards-Version: 3.9.5 (no changes).

 -- Robert Luberda <robert@debian.org>  Mon, 13 Jan 2014 23:09:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dwww.git

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
  export CC = $(DEB_HOST_GNU_TYPE)-gcc
else
  export CC = gcc
endif

%:
	dh "$@" --with apache2

## dwww 1.12.1+deb8u1

=== debian/changelog ===
dwww (1.12.1+deb8u1) jessie; urgency=medium

  * Fix an old typo in the `Last-Modified' header name that prevents dwww
    from working correctly on systems running the latest available jessie
    version of apache2, which as a part its security update for CVE-2016-8743
    started enforcing HTTP headers conformance with the appropriate standards
    (closes: #850016, #850885).

 -- Robert Luberda <robert@debian.org>  Wed, 05 Jul 2017 23:42:40 +0200

## dwww 1.13.1

=== data/mozilla/Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  :=
SUBDIRS     :=
include ../../common.mk

files  := dwww.xml
ifeq (Ubuntu,$(DISTRIBUTOR))
  browserdir	:= /usr/lib/firefox/distribution/searchplugins/common
else
  browserdir	:= /etc/iceweasel/searchplugins/common
endif

install-local:
	$(call install,$(browserdir),$(files))

update-xml:
	sed -i~ -e 's#\(base64,\).*\(<\)#\1'"`base64 -w 0 dwww.png`"'\2#' dwww.xml

.PHONY: install-local update-xml

=== debian/changelog ===
dwww (1.13.1) unstable; urgency=medium

  * Disable `pie' hardening to fix FTBFS on some archs.

 -- Robert Luberda <robert@debian.org>  Sat, 13 Feb 2016 20:38:51 +0100

dwww (1.13.0) unstable; urgency=medium

  * Resolve an issue with false positives in dwww-cache (closes: #688903):
    + Fix a bug in the code that prevented the --clean action from updating
      the cache file, that in turn caused the false positives for entries
      starting with the same letter and having the same modification times.
    + Continue cleaning until no changes are done in order to remove entries
      that share the same cache file, what can happen after the cached file
      is removed (possibly by dwww-refresh-cache), and after that the
      `--store' action assigns the same cached file for a different entry.
    + Use a bit more random names for cached files and create them directly
      is proper subdirectories (instead of renaming temporary files) to
      reduce the odds of  sharing the same file names in different entries.
    + Store the last two bytes of size of the cached files for a more robust
      detection of outdated entries.
    + Introduce a magic number in .cache_db file to detect its format,
      also try to check for corruption of the file during loading.
    + Additionally print the outdated entries in `--list' and `--list-all',
      and change their output format a bit: remove unused permanent field,
      but add cached file size and entry validity fields.
  * Update dwww-cache.8 man page for the changes in the output of list
    commands, and mention dwww-refresh-cache command in the paragraphs
    related to cache cleaning.
  * Drop dwww.menu file to fix `command-in-menu-file-and-desktop-file'
    issued by lintian.
  * Enable all hardening flags via DEB_BUILD_MAINT_OPTIONS in debian/rules.
  * Add dwww-gnome-touristinfo.png icon from removed gonme-desktop-data
    package and use the icon in the desktop file (LP: #988937).
  * Switch mozilla search plugin into the OpenSearchDescription format, and
    install it into the location proper for the current version of iceweasel.
  * Turn debian/copyright into DEP-5 format.
  * Fix dwww-format-man not to die on symlinks, handle INT and QUIT signals
    to stop the script and fix a typo in its man page.
  * debian/control:
    + Use https in Vcs-Browser field (lintian);
    + Standards-Version: 3.9.6 (no changes).

 -- Robert Luberda <robert@debian.org>  Sat, 13 Feb 2016 11:01:29 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/robert/dwww.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/robert/dwww.git
 
 Package: dwww
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie # pie causes FTBFS because of publib
 
 include /usr/share/dpkg/architecture.mk

## dwww 1.13.2

=== debian/changelog ===
dwww (1.13.2) unstable; urgency=medium

  * Fix FTBFS with gcc-6 (closes: #822712).
  * Move mozilla search plugin from /etc/iceweasel to /usr/share/firefox
    and /usr/share/firefox-esr directories.
  * Switch Vcc-Browser to cgit, Vcs-Git to https.
  * Standards-Version: 3.9.8.

 -- Robert Luberda <robert@debian.org>  Sat, 30 Apr 2016 15:17:55 +0200

## dwww 1.13.3

=== debian/changelog ===
dwww (1.13.3) unstable; urgency=medium

  * Fix a typo in the `Last-Modified' header name (closes: #850016, #850885).
  * Fix a spelling typo found by lintian.

 -- Robert Luberda <robert@debian.org>  Wed, 18 Jan 2017 21:47:05 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper (>= 9), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/users/robert/dwww.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/robert/dwww.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/users/robert/dwww.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/dwww.git
 
 Package: dwww
 Architecture: any

## dwww 1.13.4

=== debian/changelog ===
dwww (1.13.4) unstable; urgency=medium

  * dwww-txt2html.c:
    + support long CVE/CAN identifiers;
    + switch to using https in links to bugs.debian.org and cve.mitre.org.
    + add `fall through' comments to fix FTBFS with gcc-7 (closes: #853379).
  * Re-enable the `pie' hardening option (lintian).
  * Bump debhelper compat mode to 10.
  * Standards-Version: 4.0.0 (no changes).

 -- Robert Luberda <robert@debian.org>  Tue, 20 Jun 2017 22:13:20 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 9), dh-apache2, lsb-release, publib-dev
+Build-Depends: debhelper (>= 10), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Git: https://anonscm.debian.org/git/users/robert/dwww.git
 Vcs-Browser: https://anonscm.debian.org/cgit/users/robert/dwww.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie # pie causes FTBFS because of publib
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 include /usr/share/dpkg/architecture.mk

## dwww 1.13.4+nmu1

=== debian/changelog ===
dwww (1.13.4+nmu1) unstable; urgency=medium

  * NMU

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org .  Closes: #924709

  [ Osamu Aoki ]
  * Document properly to enable CGI script.  Closes: #781987, #822323
  * Apply patch from Daniel Reichelt to make sleep time after each file
    configurable for dwww-index++.  Closes: #881189

 -- Osamu Aoki <osamu@debian.org>  Sun, 17 Mar 2019 00:01:51 +0900

=== debian/control ===
Source: dwww
Section: doc
Priority: optional
Maintainer: Robert Luberda <robert@debian.org>
Build-Depends: debhelper (>= 10), dh-apache2, lsb-release, publib-dev
Build-Conflicts: apache2-dev (<< 2.4.4-6~)
Standards-Version: 4.0.0
Vcs-Git: https://salsa.debian.org/debian/dwww.git
Vcs-Browser: https://salsa.debian.org/debian/dwww

Package: dwww
Architecture: any
Depends: apache2 | httpd-cgi,
         debianutils (>= 2.5),
         doc-base (>= 0.8.12),
         file,
         libfile-ncopy-perl,
         libmime-types-perl (>= 1.15),
         man-db (>> 2.5.2),
         mime-support,
         ucf (>= 3.12),
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Breaks: apache2 (<< 2.4.4-6~)
Recommends: apt,
            dlocate (>= 0.5-0.1),
            doc-debian,
            dpkg-www,
            info2www,
            links | www-browser,
            swish++,
            ${misc:Recommends}
Description: Read all on-line documentation with a WWW browser
 All installed on-line documentation will be served via a local HTTP
 server at http://localhost/dwww/. This package runs cron scripts to
 convert available resources to the HTML pages.  Executing the dwww
 command starts a sensible WWW browser locally to access them.
 .
 You need to install a CGI-capable HTTP server and enable its CGI script
 capability manually (CGI may be disabled by default for the security
 consideration).  For apache2, do something along the following:
 .
  $ sudo a2enmod cgid
  $ sudo systemctl restart apache2
 .
 The default for the HTTP/CGI access is limited to the local user for
 the security consideration.

## dwww 1.13.4+nmu3

=== debian/changelog ===
dwww (1.13.4+nmu3) unstable; urgency=medium

  * NMU
  * Really revert dependency changes to 1.13.4.

 -- Osamu Aoki <osamu@debian.org>  Tue, 26 Mar 2019 00:48:11 +0900

dwww (1.13.4+nmu2) unstable; urgency=medium

  * NMU
  * Revert dependency changes to 1.13.4. 

 -- Osamu Aoki <osamu@debian.org>  Mon, 25 Mar 2019 23:36:13 +0900

## dwww 1.13.4+nmu4

=== debian/changelog ===
dwww (1.13.4+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 11:30:01 +0800

=== debian/control ===
--- 
+++ 
@@ -23,14 +23,8 @@
          ${perl:Depends},
          ${shlibs:Depends}
 Breaks: apache2 (<< 2.4.4-6~)
-Recommends: apt,
-            dlocate (>= 0.5-0.1),
-            doc-debian,
-            dpkg-www,
-            info2www,
-            links | www-browser,
-            swish++,
-            ${misc:Recommends}
+Recommends: apt, dlocate (>= 0.5-0.1), info2www, swish++, ${misc:Recommends}
+Suggests: doc-debian, dpkg-www, links | www-browser
 Description: Read all on-line documentation with a WWW browser
  All installed on-line documentation will be served via a local HTTP
  server at http://localhost/dwww/. This package runs cron scripts to

## dwww 1.13.5

=== debian/changelog ===
dwww (1.13.5) unstable; urgency=medium

  * Bump debhelper's compat mode to 12.
  * debian/rules: Use DPKG_*_MAINT_APPEND variables and buildflags.mk
    to setup build flags.
  * common.mk: make it possible to install without root privileges,
    and set 'Rules-Requires-Root' to 'no' in debian/control.
  * Remove support for ancient version of dwww from preinst and postinst
    maintainer scripts (lintian).
  * Fix 'cannot wrap line' warning in dwww(7) man page (lintian).
  * debian/control:
    + Add dependency on sensible-utils (lintian);
    + Standards-Version: 4.4.1.

 -- Robert Luberda <robert@debian.org>  Sat, 02 Nov 2019 18:14:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 10), dh-apache2, lsb-release, publib-dev
+Build-Depends: debhelper (>= 12), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 4.0.0
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/dwww.git
 Vcs-Browser: https://salsa.debian.org/debian/dwww
 
@@ -18,6 +19,7 @@
          libmime-types-perl (>= 1.15),
          man-db (>> 2.5.2),
          mime-support,
+         sensible-utils,
          ucf (>= 3.12),
          ${misc:Depends},
          ${perl:Depends},
@@ -39,4 +41,4 @@
   $ sudo systemctl restart apache2
  .
  The default for the HTTP/CGI access is limited to the local user for
- the security consideration. 
+ the security consideration.

## dwww 1.14

=== Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  :=
SUBDIRS     := data man perl scripts src
include ./common.mk

docfiles    := README TODO

install-local:
	$(call install,$(docdir),$(docfiles))
	$(call install,$(libdir))
	$(call install,$(webdocrootdir))
	$(call install,$(cachedir))

=== data/img/Makefile ===
--- 
+++ 
@@ -9,3 +9,4 @@
 
 install-local:
 	$(call install,$(pkgsharedir),$(templatefiles)) 
+	$(call install,$(pxmpsharedir),dwww-gnome-touristinfo.png)

=== data/mozilla/Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  :=
SUBDIRS     :=
include ../../common.mk

files  := dwww.xml
ifeq (Ubuntu,$(DISTRIBUTOR))
  browserdirs := /usr/lib/firefox/distribution/searchplugins/common
else
  browserdirs := /usr/share/firefox-esr/distribution/searchplugins/common \
                 /usr/share/firefox/distribution/searchplugins/common
endif

install-local: override ATT := $(AT)
install-local: override AT  :=
install-local:
	$(ATT) $(foreach browserdir,$(browserdirs),$(call install,$(browserdir),$(files)))

update-xml:
	sed -i~ -e 's#\(base64,\).*\(<\)#\1'"`base64 -w 0 dwww.png`"'\2#' dwww.xml

.PHONY: install-local update-xml

=== data/templates/Makefile ===
# vim:ts=2
# Makefile for dwww.
# "@(#)dwww:$Id: Makefile 521 2009-01-16 23:34:26Z robert $"
#
ALL_TARGET  :=
SUBDIRS     :=
include ../../common.mk

templatefiles  := $(sort $(wildcard *.*))
dwwwendlinks   := dwww-convert.dir.end dwww-convert.end dwww-find.end



install-local:
	$(call msg,$@)
	$(call install,$(pkgsharedir)/templates,$(templatefiles))
	$(call install_links,dwww.end,$(patsubst %,$(pkgsharedir)/templates/%,$(dwwwendlinks)))

=== debian/changelog ===
dwww (1.14) unstable; urgency=medium

  * dwww-build-menu: Recognize continuation lines in format sections
    of doc-base control files (closes: #966646). Thanks to Peter Deister.
  * dwww-convert: Fix illogical code that appeared long time ago as a result
    of replacing iso-8859-1 with utf-8 (closes: #963680).
  * Fix option name in dwww-find(8) (closes: #963169). Additionally update
    the man page a bit, and enhance dwww-quickfind(8) as well.
  * dwww-build-menu: Force list context of glob() call to avoid bogus 'no such
    file' warnings (closes: #718597).
  * dwww-convert: Handle files in markdown format as regular text files
    (see: #973315).
  * Switch a bunch of links inside dwww code from http to https.
  * Recode debian/po/*.po files from national encodings to UTF-8 (lintian).
  * Bump debhelper's compat version to 13.
  * Standards-Version: 4.5.1.

 -- Robert Luberda <robert@debian.org>  Tue, 22 Dec 2020 17:50:32 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: doc
 Priority: optional
 Maintainer: Robert Luberda <robert@debian.org>
-Build-Depends: debhelper (>= 12), dh-apache2, lsb-release, publib-dev
+Build-Depends: debhelper-compat (= 13), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/dwww.git
 Vcs-Browser: https://salsa.debian.org/debian/dwww

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,9 @@
 #!/usr/bin/make -f
 
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
+DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DPKG_EXPORT_BUILDFLAGS  := 1
+
+include /usr/share/dpkg/buildflags.mk
 
 include /usr/share/dpkg/architecture.mk

## dwww 1.15

=== data/Makefile ===
# vim:ts=2
# Makefile for dwww.
#
ALL_TARGET  := all-local
SUBDIRS     := img mozilla templates
include ../common.mk

generated			 :=	$(bdir)/dwww.css
templatefiles  := $(sort $(wildcard mozilla-dwww.*) swish++.conf $(generated))

all-local: $(generated) | $(bdir)

install-local:
	$(call install,$(pkgsharedir),$(templatefiles)) 
	$(call install,$(etcdir)/apache2/conf-available/dwww.conf,apache.conf,notdir)
	$(call install,$(applicationsdir),dwww.desktop)

=== debian/changelog ===
dwww (1.15) unstable; urgency=low

  * Drop dependency on mime-support, as it does not seem to be needed
    at all (closes: #996862).
  * Standards-Version: 4.6.0.

 -- Robert Luberda <robert@debian.org>  Sat, 09 Apr 2022 11:41:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/dwww.git
 Vcs-Browser: https://salsa.debian.org/debian/dwww
@@ -18,7 +18,6 @@
          libfile-ncopy-perl,
          libmime-types-perl (>= 1.15),
          man-db (>> 2.5.2),
-         mime-support,
          sensible-utils,
          ucf (>= 3.12),
          ${misc:Depends},

## dwww 1.16

=== scripts/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # vim:ts=2
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile 521 2009-01-16 23:34:26Z robert $"
 #
 ALL_TARGET  := all-local
 SUBDIRS     :=

=== perl/Debian/Makefile ===
# vim:ts=2
# Makefile for dwww.
#

ALL_TARGET    :=
SUBDIRS       := Dwww
include ../../common.mk

=== perl/Debian/Dwww/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # vim ts=2
 # Makefile for dwww.
-# "@(#)dwww:$Id: Makefile 512 2009-01-11 10:27:45Z robert $"
 #
 ALL_TARGET    := all-local
 SUBDIRS       :=

=== debian/changelog ===
dwww (1.16) unstable; urgency=low

  * Add Romanian translation of debconf templates (closes: #1031611).
  * As dwww is help browser app, add category `Core' to dwww.desktop
    file (closes: #1033181).
  * Update lintian overrides for mismatched tags.
  * Replace 'which' with 'command -v' in postrm script.
  * Permit spaces in regular expression used to parse configuration file
    (closes: #1019656).
  * Standards-Version: 4.6.2 (no changes).

 -- Robert Luberda <robert@debian.org>  Fri, 26 Jan 2024 00:14:39 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Robert Luberda <robert@debian.org>
 Build-Depends: debhelper-compat (= 13), dh-apache2, lsb-release, publib-dev
 Build-Conflicts: apache2-dev (<< 2.4.4-6~)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/dwww.git
 Vcs-Browser: https://salsa.debian.org/debian/dwww

## dwww 1.16build1

=== debian/changelog ===
dwww (1.16build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Dec 2025 22:31:57 +0000
